#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x15b37d4c, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x8112b881, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x0d2ba97f, "");
SYMBOL_CRC(rdma_res_to_id, 0x27714072, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xb9ee1a06, "");
SYMBOL_CRC(rdma_create_user_id, 0x91917c69, "");
SYMBOL_CRC(rdma_create_qp, 0x8aef4709, "");
SYMBOL_CRC(rdma_destroy_qp, 0xfa750e53, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xaf4009af, "");
SYMBOL_CRC(rdma_destroy_id, 0x05321f2d, "");
SYMBOL_CRC(rdma_get_service_id, 0x5dad716a, "");
SYMBOL_CRC(rdma_read_gids, 0xf1fd6cef, "");
SYMBOL_CRC(rdma_set_service_type, 0x2409d6d3, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x9fa2ac30, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x359295e6, "");
SYMBOL_CRC(rdma_set_ib_path, 0x682c5a76, "");
SYMBOL_CRC(rdma_resolve_route, 0x240ea3f6, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0xfb738036, "");
SYMBOL_CRC(rdma_set_afonly, 0x73a642ef, "");
SYMBOL_CRC(rdma_listen, 0x59f45ca8, "");
SYMBOL_CRC(rdma_resolve_addr, 0xd6a09495, "");
SYMBOL_CRC(rdma_bind_addr, 0xfda28314, "");
SYMBOL_CRC(rdma_connect_locked, 0xebfdb7c5, "");
SYMBOL_CRC(rdma_connect, 0x04b0261f, "");
SYMBOL_CRC(rdma_connect_ece, 0xfeedb290, "");
SYMBOL_CRC(rdma_accept, 0xe7d677b9, "");
SYMBOL_CRC(rdma_accept_ece, 0x625ed219, "");
SYMBOL_CRC(rdma_lock_handler, 0x58231535, "");
SYMBOL_CRC(rdma_unlock_handler, 0x4fe34986, "");
SYMBOL_CRC(rdma_notify, 0x6e0bd8d0, "");
SYMBOL_CRC(rdma_reject, 0x0dc158fe, "");
SYMBOL_CRC(rdma_disconnect, 0x079c36fc, "");
SYMBOL_CRC(rdma_join_multicast, 0x9b5b9a14, "");
SYMBOL_CRC(rdma_leave_multicast, 0xd3d1a8d2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x82c0cbba, "iw_cm_connect" },
	{ 0x33c5d70f, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1170802d, "rdma_addr_cancel" },
	{ 0xae3bbb8f, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x11127f8b, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x851dcefc, "ib_register_client" },
	{ 0xa6946c0e, "ib_sa_path_rec_get" },
	{ 0x5960a452, "ib_create_cm_id" },
	{ 0xb465402c, "__ip_mc_dec_group" },
	{ 0x6742f614, "vlan_dev_real_dev" },
	{ 0x43eb62e4, "ib_sa_unregister_client" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x31b0e70b, "perf_trace_run_bpf_submit" },
	{ 0x4d95ee4a, "ib_init_ah_from_mcmember" },
	{ 0x8a9b45bd, "rdma_destroy_ah_attr" },
	{ 0x60487647, "ib_set_client_data" },
	{ 0x89527f14, "init_net" },
	{ 0x7b389688, "ib_get_cached_pkey" },
	{ 0x256426, "configfs_register_subsystem" },
	{ 0x68ba4a71, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xd53568e9, "rdma_put_gid_attr" },
	{ 0x64151317, "config_group_init_type_name" },
	{ 0xc0f76b3d, "dev_get_by_index" },
	{ 0xb4910944, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x68a36533, "ib_send_cm_rep" },
	{  0x799a9, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa404fa36, "iw_cm_disconnect" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xd1bc3851, "bpf_trace_run1" },
	{ 0x58bde720, "ib_destroy_qp_user" },
	{ 0x77ffc02, "unregister_pernet_subsys" },
	{ 0x8a6a7e91, "ib_cm_init_qp_attr" },
	{ 0xec32e041, "_dev_warn" },
	{ 0x9b4a223d, "ib_send_cm_drep" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6642d2bf, "rdma_restrack_set_name" },
	{ 0xe09434c0, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x46387e49, "ib_get_cached_port_state" },
	{ 0x114d4271, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb034f594, "rdma_restrack_del" },
	{ 0xf15fad4b, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0xa5573c5, "bpf_trace_run3" },
	{ 0x7f5c45bd, "__put_net" },
	{ 0x3aedb6cf, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe964138d, "iw_cm_accept" },
	{ 0xbd6293e, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x8bf72111, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1654879, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x3789ddee, "iw_cm_init_qp_attr" },
	{ 0x23942d48, "dst_release" },
	{ 0xbed03b5f, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1c496b07, "ib_send_cm_dreq" },
	{ 0xb66d54bb, "ib_send_cm_req" },
	{ 0x80ab5c66, "ib_create_qp_kernel" },
	{ 0xdedffafb, "ib_sa_join_multicast" },
	{ 0x9e8e407f, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa4ddd15d, "rdma_get_gid_attr" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x5682ce54, "rdma_restrack_new" },
	{ 0x3aca5906, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x98460b45, "iw_cm_listen" },
	{ 0xd1a20fdb, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc02ec07b, "rdma_copy_src_l2_addr" },
	{ 0x2def3d42, "kmalloc_caches" },
	{ 0xf2340278, "rdma_resolve_ip" },
	{ 0xb7de9186, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa8a20b40, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x29537c9e, "ib_unregister_client" },
	{ 0x9858134f, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x88744b2b, "ib_send_cm_sidr_rep" },
	{ 0x648be8d1, "bpf_trace_run4" },
	{ 0x35d9b29b, "config_group_init" },
	{ 0x4ddd91b8, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x31874bf2, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x16646b42, "trace_raw_output_prep" },
	{ 0x312069b2, "ib_cm_insert_listen" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xb815fe36, "__trace_trigger_soft_disabled" },
	{ 0x1ec246f5, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7c8b7816, "ib_sa_register_client" },
	{ 0x7a44c85a, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf36ae9f4, "rdma_query_gid" },
	{ 0xa76cf734, "rt6_lookup" },
	{ 0xd81f58b1, "pcpu_hot" },
	{ 0x90bc2960, "rdma_translate_ip" },
	{ 0xb46684a2, "bpf_trace_run2" },
	{ 0x61546b2, "rdma_dev_access_netns" },
	{ 0x3c81d658, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7987f609, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12dcf921, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7452530f, "register_pernet_subsys" },
	{ 0x2b5e604c, "trace_event_buffer_commit" },
	{ 0xd7b0273, "ip_mc_inc_group" },
	{ 0x614318ad, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x643840d5, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs");


MODULE_INFO(srcversion, "B4D78357DFEC66FD13B0110");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
