#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xabb0aad0, "usb_free_coherent" },
	{ 0xcccd30e7, "usb_kill_urb" },
	{ 0x3c443a9f, "usb_free_urb" },
	{ 0x579d85f5, "usb_alloc_coherent" },
	{ 0x311da206, "usb_alloc_urb" },
	{ 0x2def3d42, "kmalloc_caches" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x45d4de5a, "_dev_info" },
	{ 0x837ea6f5, "vb2_vmalloc_memops" },
	{ 0x8d5272e2, "vb2_queue_init" },
	{ 0xf5d148d1, "v4l2_ctrl_handler_init_class" },
	{ 0xa39f6d59, "v4l2_ctrl_new_std" },
	{ 0xf8f38042, "v4l2_ctrl_auto_cluster" },
	{ 0xd83d1a46, "__v4l2_ctrl_grab" },
	{ 0x34db81ae, "v4l2_ctrl_handler_setup" },
	{ 0x1061cd80, "v4l2_device_register" },
	{ 0xe417c41b, "video_device_release_empty" },
	{ 0x91c0023a, "__video_register_device" },
	{ 0x806a4f6c, "vb2_fop_read" },
	{ 0x7f84808d, "vb2_fop_write" },
	{ 0xc13a94cd, "vb2_fop_poll" },
	{ 0x31833cb2, "video_ioctl2" },
	{ 0x922f3d6, "vb2_fop_mmap" },
	{ 0xf2faa5c9, "v4l2_fh_open" },
	{ 0xb3b83b2, "vb2_fop_release" },
	{ 0x355eccb5, "vb2_ioctl_reqbufs" },
	{ 0xb7c4b7cf, "vb2_ioctl_querybuf" },
	{ 0xc84aa796, "vb2_ioctl_qbuf" },
	{ 0x1345104a, "vb2_ioctl_expbuf" },
	{ 0xa0a4d558, "vb2_ioctl_dqbuf" },
	{ 0x79f6b940, "vb2_ioctl_create_bufs" },
	{ 0x6d5bb5d1, "vb2_ioctl_prepare_buf" },
	{ 0xd48c6d48, "vb2_ioctl_streamon" },
	{ 0xd113f65a, "vb2_ioctl_streamoff" },
	{ 0xbbd0679b, "v4l2_ctrl_log_status" },
	{ 0x244e0773, "v4l2_ctrl_subscribe_event" },
	{ 0xa9f557b3, "v4l2_event_unsubscribe" },
	{ 0x439d35b8, "vb2_ops_wait_prepare" },
	{ 0x41cfe25b, "vb2_ops_wait_finish" },
	{ 0x24067450, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5e376172, "usb_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x96b6e936, "__dynamic_dev_dbg" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xfffc980f, "v4l2_device_disconnect" },
	{ 0xe9f2ef97, "video_unregister_device" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x67902306, "v4l2_device_put" },
	{ 0xa9671323, "v4l2_ctrl_handler_free" },
	{ 0x571904c4, "v4l2_device_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0xe9c8cc30, "video_devdata" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x506b92b2, "vb2_buffer_done" },
	{ 0x69acdf38, "memcpy" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x42bbb936, "vb2_plane_vaddr" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc4f13423, "usb_submit_urb" },
	{ 0xeb667191, "_dev_err" },
	{ 0x5d92db73, "_dev_notice" },
	{ 0xb98a274b, "usb_control_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75edce47, "usb_deregister" },
	{ 0xa916b694, "strnlen" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videobuf2-vmalloc,videobuf2-v4l2,videodev,videobuf2-common");

MODULE_ALIAS("usb:v1D50p6089d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "B20E5B3B5898B7C0C2934A6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
