#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x2bfd3363, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x7d951ff4, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0xdb367b43, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xd79a9f78, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0xac1137fd, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x8b0ffbd7, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x41510bc1, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x166e0c75, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0xac1a299e, "_gpl");
SYMBOL_CRC(can_change_state, 0xa27aa054, "_gpl");
SYMBOL_CRC(can_bus_off, 0x4fcfe080, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x616f936b, "_gpl");
SYMBOL_CRC(free_candev, 0x30d537ce, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xee9c8557, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x6a0b7633, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x07c9508a, "");
SYMBOL_CRC(open_candev, 0xbda72468, "_gpl");
SYMBOL_CRC(close_candev, 0x5fd1c385, "_gpl");
SYMBOL_CRC(register_candev, 0x41270351, "_gpl");
SYMBOL_CRC(unregister_candev, 0x25c299c3, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0xc3b2a9de, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x1f497179, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0xf75177e0, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0xf4927f0a, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0x5de78cd1, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0xff2a289d, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0x35ffd006, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0xd1951a55, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0x43fed307, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0xca8df8b5, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0x4a235673, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0xc6fa2e45, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0x4370af5d, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0x697e451d, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0xdb73ec62, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa0095353, "skb_dequeue" },
	{ 0x71270715, "rtnl_link_register" },
	{ 0xd81f58b1, "pcpu_hot" },
	{ 0x5fef891f, "netdev_warn" },
	{ 0x878b9b82, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb5d17bca, "__netif_napi_del" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x96b6e936, "__dynamic_dev_dbg" },
	{ 0xae6513f1, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1ff60078, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x79f45a1e, "napi_complete_done" },
	{ 0x7010c286, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x406aaf2e, "__napi_schedule" },
	{ 0x83b201a9, "device_property_read_u32_array" },
	{ 0xe886e772, "rtnl_link_unregister" },
	{ 0x57c18a30, "kfree_skb_reason" },
	{ 0xab365f7d, "napi_enable" },
	{ 0x5120e801, "netif_receive_skb" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xc2bfc594, "register_netdev" },
	{ 0xf865aa11, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x25eecd5d, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6a03aaed, "netif_rx" },
	{ 0x89bbde30, "__netdev_alloc_skb" },
	{ 0x94cfa393, "skb_trim" },
	{ 0xd7abf4ef, "__dynamic_netdev_dbg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd0268163, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb414fceb, "skb_clone" },
	{ 0xf8b17d0a, "netif_carrier_on" },
	{ 0x7773d52d, "dev_err_probe" },
	{ 0xdbef65dc, "napi_schedule_prep" },
	{ 0x61dd501, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd2995b90, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc392ce61, "skb_put" },
	{ 0xcc4a3bab, "gpiod_set_value" },
	{ 0x1f5b762b, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x87a09695, "consume_skb" },
	{ 0xb9540a20, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x20cc3a65, "unregister_netdev" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "65BDC91C4E337EC694F2359");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
