#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0x4a5a09a9, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0xff8e26bd, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x627bf3b4, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0x224bad9c, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x54817ee8, "_gpl");
SYMBOL_CRC(m_can_class_register, 0x38dc9513, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0xc3c1a3f5, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0x11dfbc65, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0x51edf7f8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff2a289d, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x7d951ff4, "can_get_echo_skb" },
	{ 0xdb367b43, "can_free_echo_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5fef891f, "netdev_warn" },
	{ 0x6ea6c1ed, "hrtimer_cancel" },
	{ 0x25c299c3, "unregister_candev" },
	{ 0xdb73ec62, "can_rx_offload_del" },
	{ 0x9c84af3d, "devm_clk_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe78c5b0c, "hrtimer_start_range_ns" },
	{ 0x1500b939, "netif_tx_wake_queue" },
	{ 0x68139353, "__pm_runtime_resume" },
	{ 0xc9fb8541, "phy_power_on" },
	{ 0xbda72468, "open_candev" },
	{ 0xeeb85f12, "phy_power_off" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xae6513f1, "netdev_err" },
	{ 0x5fd1c385, "close_candev" },
	{ 0xd8f31b01, "__pm_runtime_idle" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf9895147, "napi_disable" },
	{ 0x697e451d, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xab365f7d, "napi_enable" },
	{ 0x3b0222dc, "pinctrl_pm_select_default_state" },
	{ 0xdbadd0cd, "netif_device_attach" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x41270351, "register_candev" },
	{ 0x45d4de5a, "_dev_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4370af5d, "can_rx_offload_add_manual" },
	{ 0xb9540a20, "netif_napi_add_weight" },
	{ 0xbdfd40ab, "pinctrl_pm_select_sleep_state" },
	{ 0xabfecec6, "netif_device_detach" },
	{ 0x4fcfe080, "can_bus_off" },
	{ 0x41510bc1, "alloc_can_err_skb" },
	{ 0x5120e801, "netif_receive_skb" },
	{ 0x5de78cd1, "can_rx_offload_queue_timestamp" },
	{ 0xd7abf4ef, "__dynamic_netdev_dbg" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x2bfd3363, "can_put_echo_skb" },
	{ 0x57c18a30, "kfree_skb_reason" },
	{ 0x166e0c75, "can_dropped_invalid_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2ffcd950, "netdev_printk" },
	{ 0xac1137fd, "alloc_canfd_skb" },
	{ 0xd79a9f78, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xdbef65dc, "napi_schedule_prep" },
	{ 0xca8df8b5, "can_rx_offload_threaded_irq_finish" },
	{ 0x406aaf2e, "__napi_schedule" },
	{ 0xde1ad59, "hrtimer_forward" },
	{ 0x79f45a1e, "napi_complete_done" },
	{ 0x643c47d6, "ethtool_op_get_ts_info" },
	{ 0xee9c8557, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeb667191, "_dev_err" },
	{ 0xac42fba3, "__dev_fwnode" },
	{ 0x80a9e22a, "fwnode_property_read_u32_array" },
	{ 0x616f936b, "alloc_candev_mqs" },
	{ 0x96b6e936, "__dynamic_dev_dbg" },
	{ 0x30d537ce, "free_candev" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "B2AA917169031CACB7D7B17");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
