#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_sdio_pm_ops, "", "");
KSYMTAB_FUNC(rtw_sdio_probe, "", "");
KSYMTAB_FUNC(rtw_sdio_remove, "", "");
KSYMTAB_FUNC(rtw_sdio_shutdown, "", "");

SYMBOL_CRC(rtw_sdio_pm_ops, 0x75d1696e, "");
SYMBOL_CRC(rtw_sdio_probe, 0x243374ce, "");
SYMBOL_CRC(rtw_sdio_remove, 0x715f3b8f, "");
SYMBOL_CRC(rtw_sdio_shutdown, 0xd9ce6b7d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xffc3f3f1, "skb_queue_tail" },
	{ 0x1cebb985, "sdio_set_host_pm_flags" },
	{ 0x6c0a90f4, "rtw_chip_info_setup" },
	{ 0x273dc81a, "rtw_unregister_hw" },
	{ 0xeb667191, "_dev_err" },
	{ 0x8b37f98, "rtw_tx_fill_tx_desc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x87d2bfde, "skb_push" },
	{ 0xc1d25676, "rtw_core_init" },
	{ 0x8120e911, "sdio_readl" },
	{ 0x583a1247, "ieee80211_alloc_hw_nm" },
	{ 0xf4661d4d, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xec32e041, "_dev_warn" },
	{ 0xea44fd8b, "sdio_writel" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x89bbde30, "__netdev_alloc_skb" },
	{ 0x4b40b63d, "rtw_rx_stats" },
	{ 0x3e9bfa0d, "rtw_register_hw" },
	{ 0x74e9327, "rtw_dbg" },
	{ 0x980a386d, "rtw_core_deinit" },
	{ 0x46d53889, "rtw_ops" },
	{ 0x9ef65e2a, "sdio_claim_irq" },
	{ 0x30810324, "skb_copy_header" },
	{ 0x69893cdf, "sdio_enable_func" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x61dd501, "dev_kfree_skb_any_reason" },
	{ 0x257dd140, "rtw_power_mode_change" },
	{ 0x907dbb5b, "rtw_tx_write_data_h2c_get" },
	{ 0x2def3d42, "kmalloc_caches" },
	{ 0xe465d895, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x4a215c19, "ieee80211_rx_irqsafe" },
	{ 0xdd315ae3, "skb_queue_head" },
	{ 0x5dbd1bb, "sdio_readb" },
	{ 0x76c4baa0, "sdio_writeb" },
	{ 0x27895690, "rtw_tx_report_enqueue" },
	{ 0xbcf10704, "sdio_release_host" },
	{ 0x5e971f1a, "rtw_tx_queue_mapping" },
	{ 0x79828853, "sdio_disable_func" },
	{ 0x40d57432, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc392ce61, "skb_put" },
	{ 0x3854200c, "sdio_claim_host" },
	{ 0xff45910b, "sdio_memcpy_fromio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa0095353, "skb_dequeue" },
	{ 0x883fe427, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd81f58b1, "pcpu_hot" },
	{ 0x8aac5038, "sdio_memcpy_toio" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1ff60078, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6c1634bf, "sdio_align_size" },
	{ 0x22bded48, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdc81d3b8, "sdio_release_irq" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,rtw88_core,mac80211");


MODULE_INFO(srcversion, "48876C5BCC064AB0D912E59");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
