#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xabb516b7, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xca9a9cea, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x1137025f, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x290f5a2d, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xdf4ebe72, "_gpl");
SYMBOL_CRC(br_forward, 0x7a448fad, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x649a38bd, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x44aca1f3, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0xe93deeaf, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x418f8925, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xef3f189f, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x9ec68302, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x1af3340b, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xfa627e3c, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x0fc32efc, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xd3b9f129, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xc61d04c9, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x83c63b93, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xd4bdc416, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xfc9ef387, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x2e6b2f58, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xe0f71143, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x10371e99, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xa3008d90, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x68334c46, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x94cfa393, "skb_trim" },
	{ 0x37052dc9, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd7abf4ef, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5ee2707d, "__ip_mc_inc_group" },
	{ 0x40feaa34, "netdev_walk_all_upper_dev_rcu" },
	{ 0x4fa71f9e, "pv_ops" },
	{ 0x2b426c3b, "sysfs_remove_group" },
	{ 0x31e99c03, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe12f9aec, "__tracepoint_fdb_delete" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2f6a2186, "__netpoll_setup" },
	{ 0x9fbc29e9, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcaa95e22, "vlan_vid_add" },
	{ 0x7262a762, "neigh_destroy" },
	{ 0x8e4ff0b, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xe6c018e4, "kobject_del" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x6fd1a333, "__SCK__tp_func_br_fdb_update" },
	{ 0x247dd712, "call_netdevice_notifiers" },
	{ 0x5ead5e3d, "is_skb_forwardable" },
	{ 0x2b7e0513, "vlan_vid_del" },
	{ 0x5b5d44e1, "dev_set_allmulti" },
	{ 0x516d2769, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6236f684, "netdev_master_upper_dev_get" },
	{ 0xeede53be, "ipv6_dev_mc_inc" },
	{ 0x851c789c, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd0268163, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd7d8b01e, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x645cfcbe, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb414fceb, "skb_clone" },
	{ 0x8bdfb185, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x45b125c8, "metadata_dst_alloc" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x23942d48, "dst_release" },
	{ 0xf8b17d0a, "netif_carrier_on" },
	{ 0xffa86665, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb4df603a, "arp_tbl" },
	{ 0xfdaafcc4, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd3961359, "netdev_rx_handler_register" },
	{ 0x232e8108, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6ea8181d, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xca40bba6, "dev_disable_lro" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x71e87e04, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd6691287, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x61dd501, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xf2d44ea1, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xdc27153c, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xc8440d2e, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x4ac7ba27, "skb_ext_add" },
	{ 0xf5fea0b1, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x42dadcf6, "stp_proto_unregister" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2def3d42, "kmalloc_caches" },
	{ 0x35735fb5, "skb_dump" },
	{ 0x8fe24fbc, "neigh_lookup" },
	{ 0x22894673, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1fb65a57, "kobject_put" },
	{ 0xbc9321ee, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xe0a41ce7, "netdev_lower_get_next" },
	{ 0x181134c3, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x59dc5c88, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb8d5c369, "skb_copy_bits" },
	{ 0xb23e82b0, "__nlmsg_put" },
	{ 0x20df9b2c, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1900450e, "ipv6_mc_check_mld" },
	{ 0xc392ce61, "skb_put" },
	{ 0xae7f3d38, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb7432d06, "call_switchdev_notifiers" },
	{ 0xaa5b3231, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc7e7e746, "netdev_update_features" },
	{ 0x87a09695, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbc0f84a1, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0xf5592514, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x89610a92, "netpoll_send_skb" },
	{ 0x71270715, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xc0bcc073, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x695b39d8, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0x81d26adb, "switchdev_port_obj_act_is_deferred" },
	{ 0x87288e84, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x6712e805, "dev_set_promiscuity" },
	{ 0xd81f58b1, "pcpu_hot" },
	{ 0xf186076c, "rhashtable_init" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x539ca96e, "unregister_netdevice_queue" },
	{ 0xd8e4ccfd, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xd655bb23, "netdev_state_change" },
	{ 0xe71beec0, "__dev_get_by_name" },
	{ 0xd6dfbbfc, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xae6513f1, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7bd2816, "pskb_expand_head" },
	{ 0x7452530f, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xef566da6, "brioctl_set" },
	{ 0x5e38b965, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x4caf8833, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7010c286, "alloc_netdev_mqs" },
	{ 0x95352933, "passthru_features_check" },
	{ 0x71bcd5e0, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x887c52b4, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x9fbe7e71, "__SCK__tp_func_br_mdb_full" },
	{ 0xc9882250, "rtnl_af_register" },
	{ 0x73f6f719, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x8baf0f5f, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd13eb783, "kmem_cache_alloc" },
	{ 0x3f13de73, "rtnl_set_sk_err" },
	{ 0x36741412, "skb_vlan_pop" },
	{ 0x65f42f12, "rtnl_unicast" },
	{ 0x610d1988, "sysfs_create_link" },
	{ 0x66255a3d, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xf0910ebc, "nla_reserve_64bit" },
	{ 0xb465402c, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xa5e88129, "__dev_get_by_index" },
	{ 0xe886e772, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xd431f0d7, "dev_get_port_parent_id" },
	{ 0x89527f14, "init_net" },
	{ 0x39ab7545, "ipv6_stub" },
	{ 0x6a6971ce, "inet_confirm_addr" },
	{ 0xb9de188c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24290fc5, "sysfs_remove_link" },
	{ 0x13016eb1, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x641ace5b, "__SCK__tp_func_br_fdb_add" },
	{ 0xb0de175, "rtnl_af_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x424c3d75, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xd80d4f1f, "dev_get_by_index_rcu" },
	{ 0x57c18a30, "kfree_skb_reason" },
	{ 0x4f61809a, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x87d2bfde, "skb_push" },
	{ 0x960f3763, "kmem_cache_free" },
	{ 0x576e8517, "br_fdb_test_addr_hook" },
	{ 0xa8b21721, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x31718717, "netdev_upper_dev_unlink" },
	{ 0x5120e801, "netif_receive_skb" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xcfacf366, "llc_mac_hdr_init" },
	{ 0xf865aa11, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xca54d42d, "__SCK__tp_func_fdb_delete" },
	{ 0x2b48c3c, "kobject_init_and_add" },
	{ 0x1ba48e20, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc54a85fd, "ns_capable" },
	{ 0xc817f1a0, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcdaae57e, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x840f7c1e, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xa20d51f0, "arp_create" },
	{ 0x9ba436af, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x20a45151, "stp_proto_register" },
	{ 0xa1b6abf, "rtnl_register_module" },
	{ 0x56919550, "__tracepoint_br_fdb_update" },
	{ 0xbc0b2ac, "sysfs_rename_link_ns" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x77ffc02, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x71d638a, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5cdb3ae9, "__pskb_pull_tail" },
	{ 0x27539dd0, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x6a03aaed, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xc5200a87, "ip_mc_check_igmp" },
	{ 0x89bbde30, "__netdev_alloc_skb" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x6bc4671d, "switchdev_port_obj_del" },
	{ 0xaa807278, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe0f0dcb9, "kobject_create_and_add" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "161BFDA8E18BE2AA8758647");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
