#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x7949ac76, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x89d7bdb4, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x1b945afb, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x0736fb49, "");
SYMBOL_CRC(gss_mech_put, 0x2a940249, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x73bba3db, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x3db3b218, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe40b279f, "rpcauth_init_credcache" },
	{ 0xde4370e2, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xcd1e1a03, "xdr_init_decode" },
	{ 0x98f103e8, "mutex_lock" },
	{  0x799a9, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x40140e28, "rpc_call_null" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x60175321, "rpc_sleep_on_timeout" },
	{ 0x292f1583, "rpc_create" },
	{ 0xd1bc3851, "bpf_trace_run1" },
	{ 0x6c084417, "rpc_call_sync" },
	{ 0xb16c81ef, "from_kuid" },
	{ 0x77ffc02, "unregister_pernet_subsys" },
	{ 0x11b2deb8, "rpc_queue_upcall" },
	{ 0xbfe05c39, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x3c224ca, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xce3e630a, "svcauth_unix_set_client" },
	{ 0x7c9840a5, "xdr_buf_subsegment" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3ed233aa, "_atomic_dec_and_lock" },
	{ 0x8f14b417, "make_kgid" },
	{ 0x1b6ce4e3, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x5e83517e, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9e1b07c0, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa5573c5, "bpf_trace_run3" },
	{ 0x7f5c45bd, "__put_net" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xaf9216ad, "rpc_mkpipe_dentry" },
	{ 0x7ec2dcf0, "rpc_mkpipe_data" },
	{ 0x89d4a7b0, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xbd6293e, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xa2c570ba, "cache_register_net" },
	{ 0xd3efd793, "init_user_ns" },
	{ 0xfa6d71df, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f0547, "xdr_inline_pages" },
	{ 0x6210ce55, "__folio_put" },
	{ 0xfb3da025, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x13a06110, "rpc_init_wait_queue" },
	{ 0x7d3f54e8, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc598ef4e, "rpc_unlink" },
	{ 0x97a87fec, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0xf65d9efb, "from_kuid_munged" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0x1f608bc2, "rpcauth_init_cred" },
	{ 0x6382f850, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44c6c41e, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0x65ab433c, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x148faa06, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xc7760964, "sunrpc_cache_update" },
	{ 0x49d4c4fe, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x98ae8781, "rpc_destroy_wait_queue" },
	{ 0x2def3d42, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf823eb96, "auth_domain_put" },
	{ 0xa99e8ecb, "rpcauth_unwrap_resp_decode" },
	{ 0xc3dccdd, "rpcauth_register" },
	{ 0x6a28fca9, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x71667c35, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbc693f17, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x945d5ffd, "xdr_buf_from_iov" },
	{ 0x648be8d1, "bpf_trace_run4" },
	{ 0x9c1907bd, "xdr_stream_decode_opaque_auth" },
	{ 0x50749270, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9f94b82c, "xdr_write_pages" },
	{ 0xcf217cd9, "rpc_shutdown_client" },
	{ 0x3f31e583, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x260df1c8, "xdr_inline_decode" },
	{ 0xd3b7900f, "cache_create_net" },
	{ 0x4c41efa, "rpcauth_destroy_credcache" },
	{ 0x16646b42, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x7b378943, "bpf_trace_run6" },
	{ 0x2b90f2c3, "rpc_net_ns" },
	{ 0xc32784f7, "read_bytes_from_xdr_buf" },
	{ 0xb815fe36, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x96bce036, "rpc_wake_up" },
	{ 0x1ec246f5, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc3f9676a, "sunrpc_cache_lookup_rcu" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x7a44c85a, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xd81f58b1, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x86f5bc72, "__put_devmap_managed_page_refs" },
	{ 0x500a8f4d, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0xb46684a2, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x3e26a130, "xdr_truncate_decode" },
	{ 0x5612dfc, "rpcauth_unregister" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x537adb00, "__xdr_commit_encode" },
	{ 0xb846fb84, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x6de5037e, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x52cd8fed, "__put_cred" },
	{ 0x7452530f, "register_pernet_subsys" },
	{ 0x2b5e604c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xc762f99a, "cache_purge" },
	{ 0x122c3a7e, "_printk" },
	{ 0xba525a60, "rpc_release_client" },
	{ 0x496536c4, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x59ca7637, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x23cce665, "svc_auth_register" },
	{ 0x1e13d655, "xdr_stream_encode_opaque_auth" },
	{ 0xb956ae35, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x6ce99a60, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x363ff54c, "__free_pages" },
	{ 0xb0678c7f, "rpc_pipe_generic_upcall" },
	{ 0xd41eb42, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x63863ec7, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x28a77b92, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x31b0e70b, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6c6fd4b0, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "1EE112067AE616E405E46E4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
