#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx18_ext_init, "", "");
KSYMTAB_FUNC(cx18_reset_ir_gpio, "", "");
KSYMTAB_FUNC(cx18_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_stop_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_claim_stream, "", "");
KSYMTAB_FUNC(cx18_release_stream, "", "");

SYMBOL_CRC(cx18_ext_init, 0xfb38b752, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0xb5c218d6, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0xcf42eb33, "");
SYMBOL_CRC(cx18_claim_stream, 0x847db781, "");
SYMBOL_CRC(cx18_release_stream, 0x2bac3702, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc18da8a5, "v4l2_ctrl_handler_log_status" },
	{ 0x34db81ae, "v4l2_ctrl_handler_setup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9c8cc30, "video_devdata" },
	{ 0x82575691, "i2c_new_scanned_device" },
	{ 0x733d6566, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc2f80df3, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7a7e7749, "__v4l2_ctrl_s_ctrl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa0a4d558, "vb2_ioctl_dqbuf" },
	{ 0xb2fb0569, "dvb_dmx_release" },
	{ 0x79f6b940, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xa7c4bec7, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6d5bb5d1, "vb2_ioctl_prepare_buf" },
	{ 0xf64c46ea, "v4l2_fh_is_singular" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4c9c665e, "pci_read_config_word" },
	{ 0x506b92b2, "vb2_buffer_done" },
	{ 0x42bbb936, "vb2_plane_vaddr" },
	{ 0x244e0773, "v4l2_ctrl_subscribe_event" },
	{ 0x23e212f2, "v4l2_fh_init" },
	{ 0x8f0bfc49, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6631a03e, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb9043e18, "dvb_dmx_swfilter" },
	{ 0xe9f2ef97, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xc10d38e4, "dvb_dmxdev_release" },
	{ 0xc84aa796, "vb2_ioctl_qbuf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x922f3d6, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x30e683c1, "param_ops_short" },
	{ 0x837ea6f5, "vb2_vmalloc_memops" },
	{ 0x7e7ee768, "dma_sync_single_for_cpu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x806a4f6c, "vb2_fop_read" },
	{ 0x1061cd80, "v4l2_device_register" },
	{ 0xb3303a0a, "dvb_frontend_detach" },
	{ 0xc0ca65c9, "param_ops_string" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x129f6241, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x91c0023a, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x911a9c91, "dvb_unregister_frontend" },
	{ 0x97373a61, "pci_write_config_byte" },
	{ 0x439d35b8, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd48c6d48, "vb2_ioctl_streamon" },
	{ 0xc13a94cd, "vb2_fop_poll" },
	{ 0xa39f6d59, "v4l2_ctrl_new_std" },
	{ 0xdebb8bf8, "v4l2_ctrl_g_ctrl" },
	{ 0x303945ea, "cx2341x_handler_init" },
	{ 0x477cf3a9, "cx2341x_handler_set_50hz" },
	{ 0xa9671323, "v4l2_ctrl_handler_free" },
	{ 0x571904c4, "v4l2_device_unregister" },
	{ 0x34432620, "pci_disable_device" },
	{ 0x37ea749d, "dvb_register_frontend" },
	{ 0x780f8a03, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6ae28eb, "v4l2_subdev_call_wrappers" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0xcb23d298, "v4l2_i2c_new_subdev" },
	{ 0x2c54881b, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0xf3e14ea4, "dvb_unregister_adapter" },
	{ 0xbdaa4c63, "dvb_dmx_init" },
	{ 0xbd22ade2, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0x1da22826, "pci_write_config_word" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xe417c41b, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa9f557b3, "v4l2_event_unsubscribe" },
	{ 0x2def3d42, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x355eccb5, "vb2_ioctl_reqbufs" },
	{ 0x8d5272e2, "vb2_queue_init" },
	{ 0x8f376bc1, "v4l2_fh_exit" },
	{ 0xbbaeb588, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x902f981, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x31833cb2, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6dafc039, "vb2_queue_release" },
	{ 0xe38fcf15, "pci_enable_device" },
	{ 0xd113f65a, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x3ff01753, "i2c_bit_add_bus" },
	{ 0xe6a1be53, "v4l2_fh_del" },
	{ 0xa0258b6f, "v4l2_fh_add" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x9f5871d2, "dma_unmap_page_attrs" },
	{ 0x41cfe25b, "vb2_ops_wait_finish" },
	{ 0x61363900, "request_firmware" },
	{ 0x3eeac993, "__pci_register_driver" },
	{ 0xf5d148d1, "v4l2_ctrl_handler_init_class" },
	{ 0x80db6417, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xca70403c, "param_array_ops" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd81f58b1, "pcpu_hot" },
	{ 0xb7c4b7cf, "vb2_ioctl_querybuf" },
	{ 0x125106fb, "v4l2_subdev_init" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x2e07ddbd, "vb2_video_unregister_device" },
	{ 0xb247e74, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x410306cd, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8bd38c15, "dev_driver_string" },
	{ 0x728fdc5c, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6a5ba52c, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,videobuf2-v4l2,dvb-core,tveeprom,videobuf2-common,videobuf2-vmalloc,i2c-algo-bit");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "169C2525B0A1AC6B9C9E51B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
