#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0xc84aa796, "vb2_ioctl_qbuf" },
	{ 0x922f3d6, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x837ea6f5, "vb2_vmalloc_memops" },
	{ 0xfffc980f, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x806a4f6c, "vb2_fop_read" },
	{ 0x1061cd80, "v4l2_device_register" },
	{ 0xc0b01e08, "media_entity_setup_link" },
	{ 0xdd64e639, "strscpy" },
	{ 0x5f126b93, "em28xx_register_extension" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x91c0023a, "__video_register_device" },
	{ 0xe06e2b49, "em28xx_init_usb_xfer" },
	{ 0x439d35b8, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd48c6d48, "vb2_ioctl_streamon" },
	{ 0xc7ada30, "v4l2_mc_create_media_graph" },
	{ 0xc13a94cd, "vb2_fop_poll" },
	{ 0xa39f6d59, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x7fc8652c, "em28xx_tuner_callback" },
	{ 0xa9671323, "v4l2_ctrl_handler_free" },
	{ 0x571904c4, "v4l2_device_unregister" },
	{ 0x71470c32, "em28xx_setup_xc3028" },
	{ 0xa4f6b07c, "v4l2_ctrl_notify" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0xc5d8f640, "em28xx_write_regs" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0x721f7cc7, "em28xx_free_device" },
	{ 0xcb23d298, "v4l2_i2c_new_subdev" },
	{ 0xc4dbdc9c, "media_device_unregister_entity" },
	{ 0xbd22ade2, "param_ops_int" },
	{ 0xbf65b147, "_dev_printk" },
	{ 0xe417c41b, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa9f557b3, "v4l2_event_unsubscribe" },
	{ 0x2def3d42, "kmalloc_caches" },
	{ 0x27c2ee3f, "em28xx_read_reg" },
	{ 0x355eccb5, "vb2_ioctl_reqbufs" },
	{ 0x8d5272e2, "vb2_queue_init" },
	{ 0x8cdf5de3, "em28xx_init_camera" },
	{ 0x921d7c65, "em28xx_boards" },
	{ 0x31833cb2, "video_ioctl2" },
	{ 0xd113f65a, "vb2_ioctl_streamoff" },
	{ 0xaa006ac2, "em28xx_audio_analog_set" },
	{ 0x720affeb, "em28xx_write_reg" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4860c0dd, "em28xx_stop_urbs" },
	{ 0x41cfe25b, "vb2_ops_wait_finish" },
	{ 0xf5d148d1, "v4l2_ctrl_handler_init_class" },
	{ 0xca70403c, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb7c4b7cf, "vb2_ioctl_querybuf" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xda922ce7, "em28xx_set_mode" },
	{ 0xf2faa5c9, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc411f329, "v4l2_i2c_subdev_addr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34db81ae, "v4l2_ctrl_handler_setup" },
	{ 0x81e9d068, "em28xx_audio_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe9c8cc30, "video_devdata" },
	{ 0xb3b83b2, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x8d7ff188, "v4l2_ctrl_find" },
	{ 0x45d4de5a, "_dev_info" },
	{ 0x123959a1, "v4l2_type_names" },
	{ 0x52b7d263, "media_device_register_entity" },
	{ 0xa0a4d558, "vb2_ioctl_dqbuf" },
	{ 0xeb667191, "_dev_err" },
	{ 0x79f6b940, "vb2_ioctl_create_bufs" },
	{ 0xcd828567, "em28xx_uninit_usb_xfer" },
	{ 0x6d5bb5d1, "vb2_ioctl_prepare_buf" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x5ddf6c34, "em28xx_unregister_extension" },
	{ 0x506b92b2, "vb2_buffer_done" },
	{ 0x42bbb936, "vb2_plane_vaddr" },
	{ 0x244e0773, "v4l2_ctrl_subscribe_event" },
	{ 0x575454e8, "usb_set_interface" },
	{ 0x90f579e0, "media_entity_pads_init" },
	{ 0xe9f2ef97, "video_unregister_device" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-vmalloc,videodev,mc,em28xx,videobuf2-common,usbcore");


MODULE_INFO(srcversion, "80B3C469D8CFAA4F2C14AF4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
