#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_suspend_late, "", "");
KSYMTAB_FUNC(ath11k_core_resume_early, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0x674521f3, "");
SYMBOL_CRC(ath11k_core_suspend_late, 0x13d3ce3d, "");
SYMBOL_CRC(ath11k_core_resume_early, 0x58b51f59, "");
SYMBOL_CRC(ath11k_core_resume, 0xb5bbd72a, "");
SYMBOL_CRC(ath11k_core_pre_init, 0x37d8fb32, "");
SYMBOL_CRC(ath11k_core_init, 0xc657edc0, "");
SYMBOL_CRC(ath11k_core_deinit, 0x8b67b748, "");
SYMBOL_CRC(ath11k_core_free, 0xe957147a, "");
SYMBOL_CRC(ath11k_core_alloc, 0x5db61e29, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x869768b0, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0x23e9294d, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0x24fa5582, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0x9537a07a, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x061efcbc, "");
SYMBOL_CRC(ath11k_info, 0xbf9decba, "");
SYMBOL_CRC(ath11k_err, 0x1112c929, "");
SYMBOL_CRC(ath11k_warn, 0x8a616f1e, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x6e44afc3, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x80bb75a9, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0xfd6a2f37, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0x5d685e75, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0x8cee29e6, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0x4121a95f, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0x30af771f, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0xc8518eb5, "");
SYMBOL_CRC(ath11k_pcic_write32, 0xcf489ed7, "");
SYMBOL_CRC(ath11k_pcic_read32, 0xc755ffc9, "");
SYMBOL_CRC(ath11k_pcic_read, 0xc583882d, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0x9de7ebca, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0x4a572135, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0x9515d717, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0x36a8a900, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0xd3c5fb55, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0x10abbde6, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0x3107c16a, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0xf0480699, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0x5a48bf60, "");
SYMBOL_CRC(ath11k_pcic_stop, 0xc68b7fc5, "");
SYMBOL_CRC(ath11k_pcic_start, 0x2bfbdf2d, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0xc27ae753, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x478593ed, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0x43c7501e, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x8bd279cf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x270914ee, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa0d966e0, "qmi_txn_init" },
	{ 0x80907395, "ieee80211_report_low_ack" },
	{ 0xcb3ea734, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0x944c7188, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x83231204, "ieee80211_free_txskb" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x583a1247, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7e7ee768, "dma_sync_single_for_cpu" },
	{ 0xe1e981f8, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x7145c98e, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xec32e041, "_dev_warn" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x843d9b01, "ieee80211_beacon_free_ema_list" },
	{ 0x89bbde30, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x151d229a, "ieee80211_ready_on_channel" },
	{ 0x18f2a9cb, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x94cfa393, "skb_trim" },
	{ 0xe9cb50c8, "qmi_handle_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4fa71f9e, "pv_ops" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x3abd1692, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xecfd491c, "ieee80211_vif_to_wdev" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7cd162eb, "dma_free_attrs" },
	{ 0x2360e049, "ieee80211_scan_completed" },
	{ 0x51c39b16, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x5aac755e, "crypto_shash_final" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x24067450, "param_ops_bool" },
	{ 0x13fcf6d2, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xa573b7f5, "ieee80211_color_change_finish" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x6dd00fba, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x77ae74b0, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x7b2236d7, "ieee80211_queue_work" },
	{ 0xdbef65dc, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xf9895147, "napi_disable" },
	{ 0x61dd501, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x352929c8, "regulatory_set_wiphy_regd" },
	{ 0x3b987104, "cfg80211_chandef_dfs_cac_time" },
	{ 0xa94d13cf, "crypto_alloc_shash" },
	{ 0xa8ac146a, "ieee80211_beacon_get_template_ema_list" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xe56d740a, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x81db3308, "__cfg80211_get_bss" },
	{ 0x523ea871, "init_dummy_netdev" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2def3d42, "kmalloc_caches" },
	{ 0xe737336a, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x83a94171, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc05c352e, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb9e16682, "ieee80211_gtk_rekey_notify" },
	{ 0x39167e38, "device_set_wakeup_enable" },
	{ 0x98c178d2, "completion_done" },
	{ 0x5c894dd7, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x4eb1db40, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb0807434, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x50749270, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xc392ce61, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc8aa6b6, "firmware_request_nowarn" },
	{ 0xc0f9f5bd, "qmi_handle_init" },
	{ 0x87a09695, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb9540a20, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x58b6b210, "device_get_mac_address" },
	{ 0x83e896e9, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa0095353, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x883fe427, "ieee80211_free_hw" },
	{ 0x9f5871d2, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0xef370bf, "ieee80211_iterate_stations_atomic" },
	{ 0xa1593f, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x115ed509, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56a8b2a1, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0xbd447332, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0xd81f58b1, "pcpu_hot" },
	{ 0x8608df65, "thermal_cooling_device_register" },
	{ 0x6766a7ff, "ieee80211_register_hw" },
	{ 0xf186076c, "rhashtable_init" },
	{ 0x684d8fb5, "ieee80211_restart_hw" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb0ba1ae4, "ieee80211_get_hdrlen_from_skb" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xb5d17bca, "__netif_napi_del" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xffb6fada, "ieee80211_hw_restart_disconnect" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7bd2816, "pskb_expand_head" },
	{ 0x8bd38c15, "dev_driver_string" },
	{ 0x8a4020ba, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4758768b, "ieee80211_find_sta" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6a5ba52c, "dma_map_page_attrs" },
	{ 0x908ec6e1, "qmi_send_request" },
	{ 0x79f45a1e, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x4917359c, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x22bded48, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x18211b1d, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x406aaf2e, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xcde988bb, "cfg80211_put_bss" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x289b9850, "qmi_txn_wait" },
	{ 0x45d4de5a, "_dev_info" },
	{ 0xffc3f3f1, "skb_queue_tail" },
	{ 0x203c9f77, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x610d1988, "sysfs_create_link" },
	{ 0x89deaa9, "ieee80211_obss_color_collision_notify" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xcb655777, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x240cba38, "ieee80211_queue_delayed_work" },
	{ 0xb7834811, "__skb_get_hash" },
	{ 0xeb667191, "_dev_err" },
	{ 0xaa0d0f30, "crypto_shash_setkey" },
	{ 0xb9de188c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9b0b875b, "qmi_txn_cancel" },
	{ 0x24290fc5, "sysfs_remove_link" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd985b485, "ieee80211_find_sta_by_ifaddr" },
	{ 0x57c18a30, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x51aaa45d, "ieee80211_remain_on_channel_expired" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x87d2bfde, "skb_push" },
	{ 0x996aac82, "dma_alloc_attrs" },
	{ 0xab365f7d, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x9230711e, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "5092FD7053CFFDE26369B5A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
