#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x75e24b0c, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x32d4ccc2, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0xe2cca4f3, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x8129e0c2, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x7af87420, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x3f11bd74, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0xda64c05d, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0xf081f2ff, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x9fe3c6df, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x069d841f, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x8a88efad, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0xd7bc7744, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x5778a844, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0xcc67d170, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x26cc6d2b, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x43621635, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x1c69d64a, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x0c9a3120, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x830f73c3, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x4494398b, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0xb4d6d413, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x14bbd134, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x11c73ab4, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x0697e4ba, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x20df8f67, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x5337a3b9, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x95cd8dae, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0xc1f5e73f, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x5b7615fa, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x5f7b9990, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x36798134, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x536a8a21, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x848bf729, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0xc6fec364, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x8740d6b1, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x4e9ea7d2, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0xef2790d4, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0x5a808061, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x640060f1, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x92db9297, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x182f89c4, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0xdc37e996, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0xaf8f68b2, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0xe04d9e90, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0xdfa24c28, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x0d867131, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x4b8c3c7a, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0xe54df2ba, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x47a16569, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x8068daf1, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x3cb483f5, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0xcbece7ae, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x1a7bf3c7, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x724cf464, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0xdf190785, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x75b53e0e, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x39689ac7, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x9c9eb12c, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x8c1dfb12, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x49f146a7, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xdf6ab9bd, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0xde59893a, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x531d3478, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x93932673, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0xa83776b0, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0xa3bac34a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa0ab919f, "mt76_csa_check" },
	{ 0xf1b85093, "mt76_tx_status_skb_add" },
	{ 0xd43a53e6, "__tracepoint_mac_txdone" },
	{ 0xa983013f, "mt76_tx_check_agg_ssn" },
	{ 0x115ed509, "ieee80211_tx_status_ext" },
	{ 0x8c8684d7, "mt76_stop_tx_queues" },
	{ 0x274e9583, "___pskb_trim" },
	{ 0x7a44c85a, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc6b41acb, "__mt76_tx_complete_skb" },
	{ 0xd81f58b1, "pcpu_hot" },
	{ 0xf52f7528, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x684d8fb5, "ieee80211_restart_hw" },
	{ 0xb46684a2, "bpf_trace_run2" },
	{ 0xb0ba1ae4, "ieee80211_get_hdrlen_from_skb" },
	{ 0xa8300bff, "kthread_park" },
	{ 0x53960ae1, "mt76_mcu_rx_event" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9f5a883f, "mt76_wcid_init" },
	{ 0xb671610a, "mt76_tx_status_check" },
	{ 0x3285d4e8, "wake_up_process" },
	{ 0x2b5e604c, "trace_event_buffer_commit" },
	{ 0x31ba6e93, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x79f45a1e, "napi_complete_done" },
	{ 0x31677a28, "ieee80211_get_tx_rates" },
	{ 0xb2cec378, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xef829187, "debugfs_create_devm_seqfile" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x754d0b7, "mt76_tx" },
	{ 0x406aaf2e, "__napi_schedule" },
	{ 0x26920b40, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9eb3b45f, "mt76_wcid_key_setup" },
	{ 0x45d4de5a, "_dev_info" },
	{ 0xcb364d5d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xaea49cc4, "mt76_rx" },
	{ 0xacb526ce, "kthread_unpark" },
	{ 0xf777f847, "mt76_phy_dfs_state" },
	{ 0xcb655777, "wiphy_to_ieee80211_hw" },
	{ 0xb1863851, "mt76_init_queue" },
	{ 0x7d07dcb4, "debugfs_attr_read" },
	{ 0xfed60a29, "__mt76_sta_remove" },
	{ 0x99588adb, "mt76_tx_status_skb_done" },
	{ 0x240cba38, "ieee80211_queue_delayed_work" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x31b0e70b, "perf_trace_run_bpf_submit" },
	{ 0xeb667191, "_dev_err" },
	{ 0x873a6bf6, "debugfs_create_bool" },
	{ 0xb9de188c, "skb_pull" },
	{ 0x7b7031d, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x12f06f66, "__SCK__tp_func_dev_irq" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x87d2bfde, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xab365f7d, "napi_enable" },
	{  0x799a9, "trace_event_reg" },
	{ 0xee2d2ee7, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x270914ee, "ieee80211_wake_queues" },
	{ 0x352eaba4, "mt76_mcu_send_and_get_msg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5a238bcd, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0x1d36bca5, "__mt76_mcu_msg_alloc" },
	{ 0xa3f349ec, "mt76_set_irq_mask" },
	{ 0xd1bc3851, "bpf_trace_run1" },
	{ 0x2e3779e5, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbf244176, "debugfs_create_u32" },
	{ 0xd57aa5d6, "__SCK__tp_func_mac_txdone" },
	{ 0x1752ebef, "mt76_seq_puts_array" },
	{ 0x18f2a9cb, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x850abdee, "__tracepoint_dev_irq" },
	{ 0x9e119369, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x2c74ee8d, "mt76_mcu_get_response" },
	{ 0x887e4d77, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xbd6293e, "trace_event_buffer_reserve" },
	{ 0x51c39b16, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x8c46de6b, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5166c407, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xfe4e906d, "____mt76_poll_msec" },
	{ 0x17452315, "seq_printf" },
	{ 0x9c00da5e, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xf69b8322, "mt76_wcid_cleanup" },
	{ 0x931886df, "seq_puts" },
	{ 0x6dd00fba, "ieee80211_radar_detected" },
	{ 0x177e90b3, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf7c159b1, "mt76_queues_read" },
	{ 0xd5fb6a8d, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdbef65dc, "napi_schedule_prep" },
	{ 0xf9895147, "napi_disable" },
	{ 0x61dd501, "dev_kfree_skb_any_reason" },
	{ 0xfb8eea28, "__mt76_poll" },
	{ 0x6b7d0354, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x31b26fda, "debugfs_create_u8" },
	{ 0xe2934fe1, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x5b45fe80, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xdbfb5904, "ieee80211_sta_register_airtime" },
	{ 0xafa3694a, "mt76_dma_rx_poll" },
	{ 0x1f4611b5, "mt76_tx_status_unlock" },
	{ 0x51e0f1ec, "simple_attr_open" },
	{ 0x3af3ee7e, "debugfs_attr_write" },
	{ 0x14f48b8c, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x87a09695, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb9540a20, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2bb3e4c7, "mt76_tx_status_skb_get" },
	{ 0x16646b42, "trace_raw_output_prep" },
	{ 0x5941b95a, "mt76_tx_status_lock" },
	{ 0xa0095353, "skb_dequeue" },
	{ 0xb815fe36, "__trace_trigger_soft_disabled" },
	{ 0x1ec246f5, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "F286DACD5DF288548A91A5D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
