#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc2beb3e5, "mt76_write_mac_initvals" },
	{ 0xdead1e4e, "mt76x2_reset_wlan" },
	{ 0xe4261836, "mt76x2_mcu_set_channel" },
	{ 0x36798134, "mt76x02_mcu_set_radio_state" },
	{ 0x8e015c63, "mt76_wake_tx_queue" },
	{ 0xfa57a8a0, "mt76_get_antenna" },
	{ 0x5a5f8817, "mt76x2_apply_gain_adj" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x43621635, "mt76x02_sta_ps" },
	{ 0x5304fe2c, "mt76x2_set_sar_specs" },
	{ 0xba6856cd, "mt76u_resume_rx" },
	{ 0x5778a844, "mt76x02_sta_rate_tbl_update" },
	{ 0x96b6e936, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x86219f41, "mt76_alloc_device" },
	{ 0x4494398b, "mt76x02_mac_shared_key_setup" },
	{ 0x5a808061, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x95bf0b21, "mt76x2_mac_stop" },
	{ 0xdda3b6be, "usb_put_dev" },
	{ 0x3ecf4b32, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x20df8f67, "mt76x02_update_channel" },
	{ 0x903c9673, "mt76x2_configure_tx_delay" },
	{ 0x5fadaa48, "usb_get_dev" },
	{ 0x45d4de5a, "_dev_info" },
	{ 0x32d4ccc2, "mt76x02_configure_filter" },
	{ 0x2067fffd, "mt76_free_device" },
	{ 0xdf190785, "mt76x02_queue_rx_skb" },
	{ 0xa11b6092, "mt76u_queues_deinit" },
	{ 0x240cba38, "ieee80211_queue_delayed_work" },
	{ 0xeb667191, "_dev_err" },
	{ 0xe6ea652d, "mt76x02u_mcu_fw_reset" },
	{ 0x11c73ab4, "mt76x02_mac_setaddr" },
	{ 0xfca34e29, "mt76_register_device" },
	{ 0x5fb17a6b, "mt76_set_tim" },
	{ 0x26cc6d2b, "mt76x02_sw_scan_complete" },
	{ 0xe04d9e90, "mt76x02_phy_set_bw" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xdfa24c28, "mt76x02_phy_set_band" },
	{ 0x6b97a1fe, "mt76_set_channel" },
	{ 0x75e24b0c, "mt76x02_init_device" },
	{ 0x724cf464, "mt76x02_tx" },
	{ 0x270914ee, "ieee80211_wake_queues" },
	{ 0xef2790d4, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x8129e0c2, "mt76x02_sta_remove" },
	{ 0x182f89c4, "mt76x02_phy_set_rxpath" },
	{ 0x5337a3b9, "mt76x02_edcca_init" },
	{ 0x75edce47, "usb_deregister" },
	{ 0x39689ac7, "mt76x02_tx_status_data" },
	{ 0xe2cca4f3, "mt76x02_sta_add" },
	{ 0xf94743b3, "mt76x2_mcu_load_cr" },
	{ 0x4c0e9c57, "mt76x2_init_txpower" },
	{ 0x736821ca, "mt76x02u_mcu_fw_send_data" },
	{ 0xb1c125d5, "mt76u_init" },
	{ 0xed06e853, "mt76_get_survey" },
	{ 0x8c1dfb12, "mt76x02_init_debugfs" },
	{ 0xec32e041, "_dev_warn" },
	{ 0x9c1c9035, "mt76x02u_init_mcu" },
	{ 0x72f18c47, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x96e5944d, "mt76x2_mcu_init_gain" },
	{ 0xd1b41ecd, "mt76_sta_state" },
	{ 0x39a7254c, "mt76x2_phy_tssi_compensate" },
	{ 0x18f2a9cb, "ieee80211_stop_queues" },
	{ 0x847299a5, "mt76x02u_mac_start" },
	{ 0x95cd8dae, "mt76x02_mac_cc_reset" },
	{ 0x1c69d64a, "mt76x02_bss_info_changed" },
	{ 0x4b8c3c7a, "mt76x02_init_agc_gain" },
	{ 0x45a374ce, "mt76x2_phy_update_channel_gain" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8c46de6b, "mt76_txq_schedule_all" },
	{ 0xe1dac9f9, "mt76u_alloc_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x111f0a15, "mt76u_stop_tx" },
	{ 0x9571e2b, "mt76x02u_init_beacon_config" },
	{ 0x13fcf6d2, "ieee80211_unregister_hw" },
	{ 0xb5fd83, "mt76u_vendor_request" },
	{ 0x7af87420, "mt76x02_add_interface" },
	{ 0xfe4e906d, "____mt76_poll_msec" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa2d1a17a, "mt76_get_sar_power" },
	{ 0xb9c44732, "mt76u_stop_rx" },
	{ 0xda64c05d, "mt76x02_ampdu_action" },
	{ 0x536a8a21, "mt76x02_mcu_calibrate" },
	{ 0x9fe3c6df, "mt76x02_conf_tx" },
	{ 0x5f7b9990, "mt76x02_mcu_function_select" },
	{ 0xd35e25ae, "mt76_sw_scan" },
	{ 0x54b788a1, "mt76_sta_pre_rcu_remove" },
	{ 0xb4d6d413, "mt76x02_mac_wcid_setup" },
	{ 0xfb8eea28, "__mt76_poll" },
	{ 0x3e2ee767, "mt76x2_read_rx_gain" },
	{ 0x4e67b67f, "mt76x2_phy_set_txpower_regs" },
	{ 0x7ff2e561, "mt76x2_phy_set_txpower" },
	{ 0xdc37e996, "mt76x02_phy_set_txdac" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3f11bd74, "mt76x02_remove_interface" },
	{ 0x4f6f3e8b, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x14f48b8c, "devm_kmalloc" },
	{ 0xc6fec364, "mt76x02_set_ethtool_fwver" },
	{ 0xf081f2ff, "mt76x02_set_key" },
	{ 0xdb4dd637, "mt76_release_buffered_frames" },
	{ 0x61363900, "request_firmware" },
	{ 0x5e376172, "usb_register_driver" },
	{ 0xb9d36d0d, "mt76_get_txpower" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mt76-usb,usbcore,mac80211,mt76x02-usb");

MODULE_ALIAS("usb:v0B05p1833d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17EBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p180Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7612d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8503d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7632d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C4Ep0103d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02FEd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "CE759484F422D4AB09C7AFA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
