#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0xcba7d49d, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x0e50b4f8, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0xd870888e, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x6090939f, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xa40027f2, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x1a61d791, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x33c5dcbc, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0xfeff965b, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x2d3f3ba3, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0xf226331a, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x70eb8acd, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x44c9e8ed, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0xae924e99, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0xcbe74aa6, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0xb5011fcb, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0xefb2f098, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x89774eea, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0xb6aecfa3, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x61f15b43, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0xc9d71a42, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x422f80c5, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0xb9cf0a95, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xba2bd804, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0xdc09fe0e, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0x57a92f94, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0xd848b816, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x528e54f1, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x58ba0f92, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x56d2afc2, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0xb71835b3, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0xb879c7c4, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0xfa34e100, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x5ec9d104, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0xd8bb7475, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0xc92b9fc3, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0xbfc8a287, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x878ac2bd, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x5ed14bfa, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x711018ce, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0xcbab2b6f, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0xbb5fda3b, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x890cd148, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x1152ad95, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x9839a1de, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x6742f614, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6bd6db88, "iscsi_host_remove" },
	{ 0x1d4abf54, "pci_dev_put" },
	{ 0x42c5b4e4, "iscsi_host_free" },
	{ 0xd6249a23, "pci_dev_get" },
	{ 0x5480b029, "iscsi_host_add" },
	{ 0xfff736e8, "iscsi_host_alloc" },
	{ 0x581c7af9, "scsi_host_put" },
	{ 0x57c18a30, "kfree_skb_reason" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd45aecd8, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x63e28c2b, "iscsi_conn_queue_xmit" },
	{ 0x968ada28, "__kfree_skb" },
	{ 0x6a73833d, "iscsi_tcp_cleanup_task" },
	{ 0x379d8f58, "cxgbi_ppm_ppod_release" },
	{ 0x31eafb43, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0x11ac24b4, "iscsi_tcp_set_max_r2t" },
	{ 0xb2a18169, "iscsi_set_param" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x826e9e63, "iscsi_tcp_conn_setup" },
	{ 0xe571576d, "iscsi_session_setup" },
	{ 0x840e6296, "iscsi_tcp_r2tpool_alloc" },
	{ 0x58e885dd, "iscsi_session_teardown" },
	{ 0xcbae879, "iscsi_tcp_r2tpool_free" },
	{ 0x2f6e46f4, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xbf65b147, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe62d31bc, "iscsi_host_get_param" },
	{ 0x57a5f1e3, "iscsi_unregister_transport" },
	{ 0xfa6d71df, "alloc_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x7465925b, "iscsi_conn_failure" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0x2c0370b5, "iscsi_register_transport" },
	{ 0x89527f14, "init_net" },
	{ 0x4b4b4029, "ip6_route_output_flags" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x5f0cc425, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0xeb6b1d71, "iscsi_tcp_recv_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x620ee076, "iscsi_lookup_endpoint" },
	{ 0xea0057b2, "iscsi_conn_bind" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x70ffe18e, "iscsi_tcp_hdr_recv_prep" },
	{ 0x81353bc5, "iscsi_put_endpoint" },
	{ 0x2def3d42, "kmalloc_caches" },
	{ 0x47321a2a, "kmalloc_trace" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc901c3f2, "iscsi_itt_to_ctask" },
	{ 0x23942d48, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x68651d9e, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x86f5bc72, "__put_devmap_managed_page_refs" },
	{ 0x6210ce55, "__folio_put" },
	{ 0xd41eb42, "module_put" },
	{ 0xf876205, "iscsi_destroy_endpoint" },
	{ 0x8baf0f5f, "__alloc_skb" },
	{ 0x3d6e4ded, "cxgbi_ppm_ppods_reserve" },
	{ 0xb39acb3b, "dma_map_sg_attrs" },
	{ 0xccc573e, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x66255a3d, "ipv6_dev_get_saddr" },
	{ 0xb956ae35, "make_kuid" },
	{ 0x805dd7a, "ip_route_output_flow" },
	{ 0x7262a762, "neigh_destroy" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe2161138, "iscsi_create_endpoint" },
	{ 0x130730ee, "__ip_dev_find" },
	{ 0xc392ce61, "skb_put" },
	{ 0xd81f58b1, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x50749270, "param_ops_uint" },
	{ 0x9f539e38, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
